rejmerge(8)

NAME
rejmerge - merge files that were rejected during package upgrades

SYNOPSIS
rejmerge [options]

DESCRIPTION
rejmerge is a package management utility that helps you merge files that were rejected during package upgrades. For each rejected file found in /var/lib/pkg/rejected/, rejmerge will display the difference between the installed version and the rejected version. The user can then choose to keep the installed version, upgrade to the rejected version or perform a merge of the two.

OPTIONS

-r, --root <path>
    Specify alternative root (default is "/"). This should be used if you want to merge rejected files on a temporary mounted partition, which is "owned" by another system.

-v, --version
    Print version and exit.

-h, --help
    Print help and exit.

CONFIGURATION
When rejmerge is started it will source /etc/rejmerge.conf. This file can be used to alter the way rejmerge displays file differences and performs file merges. Changing the default behaviour is done by re-defining the shell functions rejmerge_diff() and/or rejmerge_merge().

rejmerge_diff()
    This function is executed once for each rejected file. Arguments $1 and $2 contain the paths to the installed and rejected files. Argument $3 contains the path to a temporary file where this function should write its result. The contents of the temporary file will later be presented to the user as the difference between the two files.

rejmerge_merge()
    This function is executed when the user chooses to merge two files. Arguments $1 and $2 contain the paths to the installed and rejected files. Argument $3 contains the path to a temporary file where this function should write its result. The contents of the temporary file will later be presented to the user as the merge result. This function also has the option to set the variable $REJMERGE_MERGE_INFO. The contents of this variable will be displayed as informational text after a merge has been performed. Its purpose is to provide information about the merge, e.g. "5 merge conflicts found".

Example:
#
# /etc/rejmerge.conf: rejmerge(8) configuration
#
rejmerge_diff() {
	# Use diff(1) to produce side-by-side output
	diff -y $1 $2 > $3
}
rejmerge_merge() {
	# Use sdiff(1) to merge
	sdiff -o $3 $1 $2
}
# End of file

FILES

/etc/rejmerge.conf
    Configuration file.

/var/lib/pkg/rejected/
    Directory where rejected files are stored.

SEE ALSO
pkgadd(8), pkgrm(8), pkginfo(8), pkgmk(8)

COPYRIGHT
rejmerge (pkgutils) is Copyright (c) 2000-2005 Per Liden and Copyright (c) 2006-2017 CRUX team (http://crux.nu). rejmerge (pkgutils) is licensed through the GNU General Public License. Read the COPYING file for the complete license.